Bug 498900 - camera on the XO doesn't work
Summary: camera on the XO doesn't work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 11
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FedoraOnXO
TreeView+ depends on / blocked
 
Reported: 2009-05-04 10:49 UTC by Tomeu Vizoso
Modified: 2009-12-02 03:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 03:45:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomeu Vizoso 2009-05-04 10:49:24 UTC
Description of problem:

Seems to be some bug while detecting the camera on the XO.

dmesg output:
ov7670 0-0042: chip found @ 0x84 (cafe_ccic)
cafe1000-ccic 0000:00:0c.2: Unsupported sensor type
0x1<4>cafe1000-ccic: probe of 0000:00:0c.2 failed with error -22
Version-Release number of selected component (if applicable):

How reproducible:

Always.

Steps to Reproduce:
1. Boot from a live usb
2. Launch cheese and try to use it
  
Actual results:

Cheese won't find the camera device.

Expected results:

Cheese should be able to use the camera.

Additional info:

Lots of info in this thread:

http://lists.laptop.org/pipermail/devel/2009-April/024141.html

Hans Verkuil reports that he believes that the patch below will fix this issue:

--- cafe_ccic.c.orig    2009-05-02 17:57:08.000000000 +0200
+++ cafe_ccic.c 2009-05-02 17:57:37.000000000 +0200
@@ -868,6 +868,7 @@
       ret = __cafe_cam_reset(cam);
       if (ret)
               goto out;
+       chip.ident = V4L2_IDENT_NONE;
       chip.match.type = V4L2_CHIP_MATCH_I2C_ADDR;
       chip.match.addr = cam->sensor->addr;
       ret = __cafe_cam_cmd(cam, VIDIOC_DBG_G_CHIP_IDENT, &chip);

Comment 1 Bug Zapper 2009-06-09 15:07:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Martin Dengler 2009-07-10 11:10:55 UTC
This is the error message:

ov7670 0-0042: chip found @ 0x84 (cafe_ccic)
cafe1000-ccic 0000:00:0c.2: Unsupported sensor type
0x1<4>cafe1000-ccic: probe of 0000:00:0c.2 failed with error -22

( from http://lists.laptop.org/pipermail/devel/2009-April/024141.html )

Comment 3 Martin Dengler 2009-07-10 11:17:11 UTC
With later OLPC kernels (based on 2.6.30 and including that patch), I can't find an error message now.  kernel reports the chip was detected, as opposed to before:

cafe1000-ccic 0000:00:0c.2: enabling device (0000 -> 0002)
ov7670 1-0042: chip found @ 0x84 (cafe_ccic)

...but still no dice in Cheese or Record.  I will try to find a better error message.

Comment 4 Peter Robinson 2009-11-09 09:48:35 UTC
I looked at this last night. The missing bit was gstreamer-plugins-good which has the v4l2 gstreamer plugin and other useful bits. I took a 'photo' using the following pipeline but ran out of time to test other things. I think this one can now be closed.

gst-launch-0.10 v4l2src ! ffmpegcolorspace ! pngenc ! filesink location=foo.png

Comment 5 Peter Robinson 2009-12-02 03:45:47 UTC
This is now working so closing


Note You need to log in before you can comment on or make changes to this bug.